@charset "UTF-8";

html {
    height: 100%;
    width: 100%;
}

body {
    font-family: '微软雅黑';
    @extend html;
}

a {
    cursor: pointer;
    color: white;
    font-size:$sys-font-size;
    &:hover {
        text-decoration: none;
        color: $etb-color-warning;
    }
}

p {
    color: #959595;
}

.mb5 {
    margin-bottom: 5px;
}

.mb10 {
    margin-bottom: 10px;
}

.mb15 {
    margin-bottom: 15px;
}

.ml15 {
    margin-left: 15px;
}

.ml5 {
    margin-left: 5px;
}

.mb30 {
    margin-bottom: 30px;
}

.mb20 {
    margin-bottom: 20px;
}

.mb50 {
    margin-bottom: 50px;
}

.w200 {
    width: 200px;
}

.no-margin {
    margin: 0!important;
}

.center-wrapper {
    display: table;
    background-color: $etb-color-primary;
    @extend html;
    .center-content {
        display: table-cell;
        vertical-align: middle;
    }
}

.error {
    color: $etb-color-danger;
}

.form-error {
    @extend .error;
    font-size: 14px;
    display: none;
    margin-top: -16px;
    margin-bottom: 5px;
    margin-left: 48px;
    &.active{
        display: block;
    }
}

.row {
    font-size: 14px;
}

/*--------------input-------------*/
.form-layout {
    input {
        margin-bottom: 10px;
        @include border-radius(4px);
    }
    .title {
        color: white;
    }
    .form-control:focus {
        border-color: $etb-color-primary;
    }
    .input-md {
        height: 38px;
        padding: 10px 16px;
        font-size: 18px;
    }
    .input-text-color {
        color: $etb-color-primary;
    }
    .form-control {
        margin-bottom: 20px;
        font-size: $sys-font-size;
        border-color: $etb-color-primary;
        display: inline-block;
        width: 342px;
        @include box-shadow(none);
    }
    .btn-agreement {
        color: $hv-font-color;
    }
    .btn-login {
        height: 38px;
        font-size: 18px;
        color: #fff;
        border-color: #3c85fd;
        background-color: #3c85fd;
        width: 88%;
    }
    .ip-ie {
        display: none;
    }
    .input-title {
        font-weight: 400;
        font-size: 14px;
        color: $lr-font-color;
    }
}

/*-------loading active-------*/
.loading {
    display: none;
    border: 5px solid #fff;
    height: 30px;
    left: 50%;
    margin: -15px 0 0 -15px;
    opacity: 0;
    position: absolute;
    top: 50%;
    width: 30px;
    @include border-radius(30px);
    @include animation(pulsate 1s ease-out);
    @include animation-iteration-count(infinite);
}

@include keyframes(pulsate) {
    0% {
        @include transform(scale(.1));
        opacity: 0.0;
    }
    50% {
        opacity: 1;
    }
    100% {
        @include transform(scale(1.2));
        opacity: 0;
    }
}

.btn-lg {
    font-size: 14px;
    height: 42px;
}

.index-err-panel {
    border: 1px solid $etb-color-primary;
    height: 30px;
    background-color: $etb-color-primary;
    margin: 10px 0 10px 46px;
    line-height: 30px;
    padding: 0px 16px;
    font-size: 12px;
    color: $etb-color-warning;
    @include border-radius(4px);
}


// 扫描二维码
.sys-logo{
    margin-bottom: 20px;
    margin-left: 46px;
}
.single-panel-inner{
    text-align: center;
}
.form-layout{
    display: inline-block;
    width: 390px;
    text-align: left;
    vertical-align: bottom;
    margin-bottom: 20px;
}
